package com.dgtly.wxportal.exception;

import com.dgtly.common.exception.BusinessException;
import com.dgtly.wxportal.utils.qywxutils.QyWxErrCode;

public class QyWeixinException extends BusinessException{

    public QyWeixinException(String errcode,String url) {
        super("企业微信API访问返回异常，请求地址为："+url+"异常代码errcode："+errcode+"---errmsg:"+QyWxErrCode.errMsg(errcode),new Throwable());
    }
    public QyWeixinException(Integer errcode,String url) {
        super("企业微信API访问返回异常，请求地址为："+url+"异常代码errcode："+errcode+"---errmsg:"+QyWxErrCode.errMsg(errcode),new Throwable());
    }
}
